Need help with Java please.

Discussion in 'macOS' started by marcos77, Feb 14, 2013.

  1. marcos77 macrumors newbie

    Joined:
    Feb 14, 2013
    #1
    Hi. I have a Mac mini 2010 model running Snow Leopard 10.6.8.

    The software for my work requires a certain version of Java to work. I recently formatted my Mac and now I can't find the same version of Java that I was using anywhere. Where can I get version Java SE 6 Version 1.6.0_031-b04-415 ? I need this exact version for my work or it causes software bugs and other issues. I used to be able to download it from Apple's website but it appears they removed the download link.

    Also, I have another old Mac running the correct version of Java that I need but is it possible to somehow copy that version and move it to my newer Mac? Please help.
     
  2. SandboxGeneral Moderator

    SandboxGeneral

    Staff Member

    Joined:
    Sep 8, 2010
    Location:
    Orbiting a G-type Main Sequence Star
    #2
    I'm not finding on Apple's site either except an 'About' page, no download. Since Apple makes their own Java builds, you won't find it on Oracle's site either - and I double checked too.

    I think you may be out of luck on this one.
     
  3. marcos77 thread starter macrumors newbie

    Joined:
    Feb 14, 2013
    #3
    Thank you for checking that for me. I don't know what to do now. Is there any possibility of moving or transferring Java from my older 2006 Mac mini? My older Mac mini is running the version that I need. I just rather use my newer Mac mini since it's much faster and I just purchased it.
     
  4. SandboxGeneral Moderator

    SandboxGeneral

    Staff Member

    Joined:
    Sep 8, 2010
    Location:
    Orbiting a G-type Main Sequence Star
    #4
    I doubt it. But if it's possible, I don't think it would be easy. I would implore the IT dept to update their program to work with the newer versions of Java.
     
  5. Zerozal macrumors 6502

    Joined:
    Apr 3, 2009
    Location:
    PA
  6. SandboxGeneral Moderator

    SandboxGeneral

    Staff Member

    Joined:
    Sep 8, 2010
    Location:
    Orbiting a G-type Main Sequence Star
    #6
    I was looking on that page last night too for the OP. Unfortunately, Apple creates their own Java builds and Oracle doesn't and neither do they keep those builds that Apple made. If you look on the page for Java SE Runtime Environment 6u31 which is the class he needs, there are no builds for OS X.
     
  7. marcos77 thread starter macrumors newbie

    Joined:
    Feb 14, 2013

Share This Page